import { request } from 'umi';
import { getDataBaseUrl,getStoremanagement } from '@/global_data';

export async function getGoods() {
  return request(getDataBaseUrl()+`/api/goods/getgoodslist`, {
    method: 'get',
  });
}


  /**   */
  export async function AddAsync(data) {
    return request(getStoremanagement()+`/api/FoodMenu/PlusAddGoods`, {
     method: 'POST',
     data: data,
   });
 }

/**   */
export async function GetPageAsync(data) {
  return request(getStoremanagement()+`/api/FoodMenu/GetAddGoodsPageAsync`, {
   method: 'POST',
   data: data,
 });
}

  /** 批量删除  */
  export async function DelAsync(data) {
    return request(getStoremanagement()+`​/api/FoodMenu/BatchDelPlusAddGoodsAsync?Ids=`+data, {
     method: 'POST',
     data: data,
   });
 }

























   /** 修改店类型  */
export async function UpdateAsync(data) {
    return request(`​/kitchen/api​/store​/store-type`, {
     method: 'put',
     data: data,
   });
 }

 

